Name: H5Pget_cache
Signature:
  herr_t `H5Pget_cache`(hid_t `plist_id`, int `*mdc_nelmts`, size_t `*rdcc_nelmts`, size_t `*rdcc_nbytes`, double `*rdcc_w0` )
Purpose:
  Queries the meta data cache and raw data chunk cache parameters.
Description:
  `H5Pget_cache` retrieves the maximum possible number of elements in the meta data cache and raw data chunk cache, the maximum possible number of bytes in the raw data chunk cache, and the preemption policy value.

  Any (or all) arguments may be null pointers, in which case the corresponding datum is not returned.

Parameters:

hid_t `plist_id` | IN: Identifier of the file access property list.
int `*mdc_nelmts` | IN/OUT: Number of elements (objects) in the meta data cache.
size_t `*rdcc_nelmts` | IN/OUT: Number of elements (objects) in the raw data chunk cache.
size_t `*rdcc_nbytes` | IN/OUT: Total size of the raw data chunk cache, in bytes.
double `*rdcc_w0` | IN/OUT: Preemption policy.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5pget_cache_f

      SUBROUTINE h5pget_cache_f(prp_id, mdc_nelmts, rdcc_nelmts, rdcc_nbytes,
                                rdcc_w0, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: prp_id         ! Property list identifier
        INTEGER, INTENT(OUT) :: mdc_nelmts           ! Number of elements (objects)
                                                     ! in the meta data cache
        INTEGER(SIZE_T), INTENT(OUT) :: rdcc_nelmts  ! Number of elements (objects)
                                                     ! in the meta data cache
        INTEGER(SIZE_T), INTENT(OUT) :: rdcc_nbytes  ! Total size of the raw data
                                                     ! chunk cache, in bytes
        REAL, INTENT(OUT) :: rdcc_w0                 ! Preemption policy
        INTEGER, INTENT(OUT) :: hdferr               ! Error code
                                                     ! 0 on success and -1 on failure
      END SUBROUTINE h5pget_cache_f

History:

Release | C
1.6.0 | The `rdcc_nbytes` and `rdcc_nelmts` parameters changed from type int to size_t.